<?php
class GlossaryPage extends Page {
	
	static $db = array(
	);
	
	static $has_many = array(
		'GlossaryTerms' => 'GlossaryTerm'
	);
	
	//CMS fields
	function getCMSFields() {
		$fields = parent::getCMSFields();

		$manager = new DataObjectManager(
			$this,
			'GlossaryTerms',
			'GlossaryTerm'
		);
		$fields->addFieldToTab('Root.Content.Terms', $manager);

		return $fields;	
	}		
}
/*
 * CONTROLLER 
 */
class GlossaryPage_Controller extends Page_Controller {
	
	static $allowed_actions = array(
		'ShowTerm'
	);
	
	function init() {
		parent::init();
		
	}

	function ShowTerm(){
		
		$ID = Controller::curr()->urlparams['ID'];
		
		if(is_numeric($ID))
		{
			$Term = DataObject::get_by_id('GlossaryTerm', Convert::raw2sql($ID));
			
			$Data = array(
				'ShowTerm' => True,
				'Title' => $Term->Term,
				'Definition' => $Term->Definition
			);
			
			return $this->Customise(new ArrayData($Data))->renderWith(array("GlossaryPage", "Page"));
		}
	}
	

}
